---
import BlogLayout from "../layouts/BlogLayout.astro";

import { getCollection } from 'astro:content';

export async function getStaticPaths() {
  const blogEntries = await getCollection('posts');
  return blogEntries.map(entry => ({
    params: {slug: entry.slug},
    props: {entry},
  }));
}

const { entry } = Astro.props;
const { Content } = await entry.render();
---

<BlogLayout>
  <Content>
</BlogLayout>

